Yes, that makes a lot of sense. One problem might exist with the

Jdk 1.4 probably defines extra types which won't be defined in jdk 1.3.


-----Original Message-----
From: Peter Eisentraut [mailto:[EMAIL PROTECTED]] 
Sent: October 18, 2001 1:41 PM
To: Joseph Shraibman
Subject: Re: [JDBC] J2SE 1.4 and other patches

Joseph Shraibman writes:

> Right.  And a maintainer needs to make a jdbc3 direcotry and modifiy 
> the ant files to use it when it detects a jdk of 1.4+

Couldn't the JDBC 3 stuff be implemented in the JDBC 2 driver as
extension?  The only reason we have a jdbc1 vs jdbc2 split is so that we
can use jdk 1.2 functionality for the implementation of the JDBC 2
driver.  So unless there is something in jdk 1.3 or 1.4 that is required
or really useful for JDBC 3 we could probably avoid opening up yet
another directory that always gets out of sync.

Peter Eisentraut   [EMAIL PROTECTED]

---------------------------(end of broadcast)---------------------------
TIP 1: subscribe and unsubscribe commands go to [EMAIL PROTECTED]

Reply via email to